#
# Conditional build:
%bcond_without	tests		# build without tests

Summary:	Memory-mapped key-value database
Name:		lmdb
Version:	0.9.16
Release:	2
License:	OpenLDAP
Group:		Libraries
Source0:	https://github.com/LMDB/lmdb/archive/LMDB_%{version}.tar.gz
# Source0-md5:	0de89730b8f3f5711c2b3a4ba517b648
URL:		http://symas.com/mdb/
Patch0:		%{name}-make.patch
BuildRequires:	doxygen
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LMDB is an ultra-fast, ultra-compact key-value embedded data store
developed by for the OpenLDAP Project. By using memory-mapped files,
it provides the read performance of a pure in-memory database while
still offering the persistence of standard disk-based databases, and
is only limited to the size of the virtual address space.

%package libs
Summary:	Shared libraries for %{name}
Group:		Libraries

%description libs
The %{name}-libs package contains shared libraries necessary for
running applications that use %{name}.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-LMDB_%{version}
mv libraries/liblmdb/* .
%patch0 -p3

%build
%{__make} \
	CC="%{__cc}" \
	XCFLAGS="%{rpmcflags} %{rpmcppflags}"

%if %{with tests}
rm -rf testdb
LD_LIBRARY_PATH=$PWD %{__make} test
%endif

# Build doxygen documentation
doxygen
# remove unpackaged files
rm -f Doxyfile
rm -rf man # Doxygen generated manpages

%install
rm -rf $RPM_BUILD_ROOT

# make install expects existing directory tree
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	libprefix=%{_libdir} \
	manprefix=%{_mandir}

# rename to have typical 0.0.0 file
mv $RPM_BUILD_ROOT%{_libdir}/liblmdb.so.{0,0.0.0}
/sbin/ldconfig -n  $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mdb_copy
%attr(755,root,root) %{_bindir}/mdb_dump
%attr(755,root,root) %{_bindir}/mdb_load
%attr(755,root,root) %{_bindir}/mdb_stat
%{_mandir}/man1/mdb_copy.1*
%{_mandir}/man1/mdb_dump.1*
%{_mandir}/man1/mdb_load.1*
%{_mandir}/man1/mdb_stat.1*

%files libs
%defattr(644,root,root,755)
%doc CHANGES COPYRIGHT LICENSE
%attr(755,root,root) %{_libdir}/liblmdb.so.*.*.*
%ghost %{_libdir}/liblmdb.so.0

%files devel
%defattr(644,root,root,755)
%{_includedir}/lmdb.h
%attr(755,root,root) %{_libdir}/liblmdb.so
%changelog
* Sat Sep 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lmdb.git;a=log;h=master

* Sat Sep 05 2015 Elan Ruusamäe <glen@delfi.ee> ef89d8a
- fix SONAME

* Sat Sep 05 2015 Elan Ruusamäe <glen@delfi.ee> 714e964
- simplify build tree, add more doc

* Sat Sep 05 2015 Elan Ruusamäe <glen@delfi.ee> 8633c44
- pldize

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c44fb5
- add patch

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d288b91
- initial

